# -*- coding: utf-8 -*-

import json
import os

# Here I find the json file
PLZ_DEFAULT = os.path.join(os.path.dirname(__file__), "plz_ec.json")


# Helper load the plz map. Should be ValidPLZ -> ( datakey -> data )
# datakey in { "region_category" }
def _load_plz_map():
    filename = PLZ_DEFAULT
    with open(filename, "r") as f:
        return json.load(f)

plz_dict = _load_plz_map()


# check if valid.
def is_valid(plz):
    return plz in plz_dict


def get(plz):
    return plz_dict.get(plz)


def main():
    out = []
    for plz in plz_dict:
        out.append(u"UPDATE eccourses set location='{}' where plz='{}';\n".format(get(plz)['location'], plz))
    with open('plz.sql', 'w') as outfile:
        for line in out:
            outfile.write(line.encode('utf-8'))


if __name__ == '__main__':
    main()
